-- noBrainConfig.lua

local function noBrainBuildConfig(MoonTimeConfigPanel)

if ( GetLocale() == "deDE" ) then
	L = MoonTime_noBrainConfig_Strings["deDE"]
else
	L = MoonTime_noBrainConfig_Strings["enGB"]
end


local MoonTime_Layout_noBrain_ConfigPanel = CreateFrame( "ScrollFrame", "MoonTime_Layout_noBrain_ConfigPanel", MoonTimeConfigPanel);
	MoonTime_Layout_noBrain_ConfigPanel:SetBackdropColor(1,0,1,1)
	MoonTime_Layout_noBrain_ConfigPanel:SetWidth(200)
	MoonTime_Layout_noBrain_ConfigPanel:SetHeight(200)
	MoonTime_Layout_noBrain_ConfigPanel.name = "noBrain";
	MoonTime_Layout_noBrain_ConfigPanel.parent = MoonTimeConfigPanel.name;
 
local MoonTime_Layout_noBrain_ScrollPanel = CreateFrame( "Frame", "MyAddonScrollChild", MoonTimeConfigPanel);
	MoonTime_Layout_noBrain_ScrollPanel:SetHeight(500)
	MoonTime_Layout_noBrain_ScrollPanel:SetWidth(100)
	MoonTime_Layout_noBrain_ConfigPanel:SetScrollChild(MoonTime_Layout_noBrain_ScrollPanel)
	
InterfaceOptions_AddCategory(MoonTime_Layout_noBrain_ConfigPanel);
 
 
 
local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormalLarge", "TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -10, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText("|cffFFFF00".."Layout noBrain".."|r")
	textbox:Show()	
local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "TOPLEFT", textbox, "BOTTOMLEFT", 0, 0, 500, 100, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["description"])
	textbox:SetHeight(textbox:GetStringHeight())
	textbox:Show()	
	

local editframe9 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox9", MoonTime_Layout_noBrain_ConfigPanel, "InputBoxTemplate","TOPLEFT", textbox, "BOTTOMLEFT", 10, -10, 50,12)
	editframe9:SetAutoFocus(false) 
	editframe9:SetText(MoonTime_DB["Layout_noBrain"]["blink_factor"]);
	editframe9:SetCursorPosition(0)
	editframe9:Show()
	
local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "LEFT", editframe9, "RIGHT", 5, 0, 200, 30, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_Factor"])
	textbox:SetJustifyH("LEFT")
	textbox:Show()	
 

local editframe8 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox8", MoonTime_Layout_noBrain_ConfigPanel, "InputBoxTemplate", "LEFT", editframe9, "RIGHT", 200, 0, 50, 12)
	editframe8:SetAutoFocus(false) 
	editframe8:SetText(MoonTime_DB["Layout_noBrain"]["blink_time_descale"]);
	editframe8:SetCursorPosition(0)
	editframe8:Show()


local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "LEFT", editframe8, "RIGHT", 5, 0, 200, 30, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_Time"])
	textbox:Show()		



		
		

local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "TOPLEFT", editframe9, "BOTTOMLEFT", -10, -5, 500, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_ActiveSpells"])
	textbox:Show()

		
		-- Sternensog
		local checkbutton_1 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox, "BOTTOMLEFT", 4, 0, 28, 28)
			if MoonTime_DB["Layout_noBrain"]["blinkspells"][SS_icon] then checkbutton_1:SetChecked() end
			checkbutton_1:Show()
	
	 	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox2", "ARTWORK","GameFontNormal", "LEFT", checkbutton_1, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
			textbox:SetText(SS_name)
			textbox:Show()	
	
		--Mondfeuer
		local checkbutton_2 = MoonTime:CreateFrame("CheckButton", "CheckButton_2", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_1, "TOPRIGHT", 210, 0, 28, 28)
			if MoonTime_DB["Layout_noBrain"]["blinkspells"][MF_icon] then checkbutton_2:SetChecked() end
			checkbutton_2:Show()
			
	 	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox2", "ARTWORK","GameFontNormal", "LEFT", checkbutton_2, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
			textbox:SetText(MF_name)
			textbox:Show()	
			
		--Zorn
		local checkbutton_4 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_1, "BOTTOMLEFT", 0, 5, 28, 28)
			if MoonTime_DB["Layout_noBrain"]["blinkspells"][W_icon] then checkbutton_4:SetChecked() end
			checkbutton_4:Show()
			
	 	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_4, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
			textbox:SetText(W_name)
			textbox:Show()

		--Sonnenfeuer
		local checkbutton_3 = MoonTime:CreateFrame("CheckButton", "CheckButton_3", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_4, "TOPRIGHT", 210, 0, 28, 28)
			if MoonTime_DB["Layout_noBrain"]["blinkspells"][SunF_icon] then checkbutton_3:SetChecked() end
			checkbutton_3:Show()
			
	 	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_3, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
			textbox:SetText(SunF_name)
			textbox:Show()

			
		--Sternenfeuer
		local checkbutton_5 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_4, "BOTTOMLEFT", 0, 5, 28, 28)
			if MoonTime_DB["Layout_noBrain"]["blinkspells"][SF_icon] then checkbutton_5:SetChecked() end
			checkbutton_5:Show()
			
	 	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_5, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
			textbox:SetText(SF_name)
			textbox:Show()
--[[			
		--Insektenschwarm
		local checkbutton_6 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_5, "TOPRIGHT", 210, 0, 28, 28)
			if MoonTime_DB["Layout_noBrain"]["blinkspells"][IS_icon] then checkbutton_6:SetChecked() end
			checkbutton_6:Show()
			
	 	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_6, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
			textbox:SetText(IS_name)
			textbox:Show()
--]]


local tab1 = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	tab1:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	tab1:SetBackdropColor(1,0,0, 1)
	tab1:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 170, -180)
	tab1:SetSize(150,30)
	tab1:Show();
	
	local labelframe_tab1 = tab1:CreateFontString(nil,"ARTWORK","GameFontNormal")
		labelframe_tab1:SetPoint("CENTER", tab1, "CENTER", 0, 0)
		labelframe_tab1:SetTextColor( 1, 1, 1, 1 );
		labelframe_tab1:SetText(L["noBrainConfig_TitleDefaultRotation"])
	
local tab2 = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	tab2:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	tab2:SetBackdropColor(1,0,0, 1)
	tab2:SetPoint("TOPLEFT", tab1, "TOPLEFT", 130, 0)
	tab2:SetSize(150,30)
	tab2:Show();

	local labelframe_tab2 = tab2:CreateFontString(nil,"ARTWORK","GameFontNormal")
		labelframe_tab2:SetPoint("CENTER", tab2, "CENTER", 0, 0)
		labelframe_tab2:SetTextColor( 1, 1, 1, .5 );
		labelframe_tab2:SetText(L["noBrainConfig_TitleCustom1Rotation"])
	
local tab3 = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	tab3:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 3, right = 3, top = 3, bottom = 3 } });
	tab3:SetBackdropColor(1,0,0, 1)
	tab3:SetPoint("TOPLEFT", tab2, "TOPLEFT", 130, 0)
	tab3:SetSize(150,30)
	tab3:Show();
	
	local labelframe_tab3 = tab3:CreateFontString(nil,"ARTWORK","GameFontNormal")
		labelframe_tab3:SetPoint("CENTER", tab3, "CENTER", 0, 0)
		labelframe_tab3:SetTextColor( 1, 1, 1, .5 );
		labelframe_tab3:SetText(L["noBrainConfig_TitleCustom2Rotation"])
		
	
local black = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	black:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", tile=true});
	black:SetBackdropColor(0,0,0, 1)
	black:SetPoint("CENTER", tab1, "BOTTOM", 0, 5)
	black:SetSize(150-4-4,6)
	black:SetFrameLevel(tab1:GetFrameLevel()+5)
	black:Show();
	

	local labelframe2 = MoonTime_Layout_noBrain_ConfigPanel:CreateFontString(nil,"ARTWORK","GameFontNormal")
		labelframe2:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 20, -188)
		labelframe2:SetTextColor( 1, 1, 1, 1 );
		labelframe2:SetText(L["noBrainConfig_Rotation"])
		

	
		
local aussen = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	aussen:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	aussen:SetBackdropColor(0,0,0,2)
	aussen:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -180-30+7)
	aussen:SetSize(600,355)
	tab1:SetFrameLevel(aussen:GetFrameLevel()-0)
	tab2:SetFrameLevel(aussen:GetFrameLevel()-1)
	tab3:SetFrameLevel(aussen:GetFrameLevel()-2)
	aussen:Show();


local PADDING = 5
local height = 280+55
local width = 558		
		

		-- tab1
		
local MoonTime_Layout_noBrain_ScrollFrame_tab1 = CreateFrame("ScrollFrame", "MoonTime_Layout_noBrain_ScrollFrame_tab1", MoonTime_Layout_noBrain_ConfigPanel, "UIPanelScrollFrameTemplate")
	MoonTime_Layout_noBrain_ScrollFrame_tab1:SetPoint("TOPLEFT", aussen, "TOPLEFT", 10, -10)
	MoonTime_Layout_noBrain_ScrollFrame_tab1.name = "Scrollframe";
 
local MoonTime_Layout_noBrain_ScrollFrameScrollChild_tab1 = CreateFrame("Frame", "MoonTime_Layout_noBrain_ScrollFrameChild_tab1", MoonTime_Layout_noBrain_ScrollFrame_tab1)
 
 

 

 
local editbox_tab1 = CreateFrame("EditBox", "TestEditBox", MoonTime_Layout_noBrain_ScrollFrame_tab1)
	editbox_tab1:SetScript("OnEscapePressed", function(self) EditBox_ClearFocus(self) end)
	editbox_tab1:SetScript("OnEditFocusLost", function(self) EditBox_ClearHighlight(self); end)
	editbox_tab1:SetScript("OnEditFocusGained", function(self) EditBox_HighlightText(self); end)
	editbox_tab1:SetFont("Fonts\\ARIALN.TTF",14,"none")
	editbox_tab1:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ScrollFrame_tab1, "TOPLEFT", 0, 0)
	editbox_tab1:SetWidth(width)
	editbox_tab1:SetJustifyH("LEFT")
	editbox_tab1:SetJustifyV("TOP")
	editbox_tab1:SetTextColor( 1, 1, 1, 1 );
	editbox_tab1:SetMultiLine()
	editbox_tab1:SetText(MoonTime_DB["Layout_noBrain"]["default"])
	editbox_tab1:SetAutoFocus(false)
	editbox_tab1.h = 0;
	editbox_tab1:SetScript("OnTextChanged",
		function (self)
			local position = editbox_tab1:GetCursorPosition() 
			editbox_tab1:SetText(MoonTime_DB["Layout_noBrain"]["default"])
			editbox_tab1:SetCursorPosition(position)
		end
	)
	editbox_tab1:SetCursorPosition(0)
	editbox_tab1:SetScript("OnCursorChanged", 
		function(self, x, y, width, height) 
			local d = -y-MoonTime_Layout_noBrain_ScrollFrame_tab1:GetVerticalScroll()
			if d>13.9*24 or d<0 then 
				MoonTime_Layout_noBrain_ScrollFrame_tab1:SetVerticalScroll(math.max(MoonTime_Layout_noBrain_ScrollFrame_tab1:GetVerticalScroll()+13.99*d/abs(d),0)) 
				MoonTime_Layout_noBrain_ScrollFrame_tab1:UpdateScrollChildRect()
			end 
		end
	)

	MoonTime_Layout_noBrain_ScrollFrameScrollChild_tab1:SetSize(width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab1:SetSize(width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab1:SetScrollChild(editbox_tab1)
	MoonTime_Layout_noBrain_ScrollFrameScrollChild_tab1:SetSize(width, height)






		-- tab2
		
local MoonTime_Layout_noBrain_ScrollFrame_tab2 = CreateFrame("ScrollFrame", "MoonTime_Layout_noBrain_ScrollFrame_tab2", MoonTime_Layout_noBrain_ConfigPanel, "UIPanelScrollFrameTemplate")
	MoonTime_Layout_noBrain_ScrollFrame_tab2:SetPoint("TOPLEFT", aussen, "TOPLEFT", 10, -10)
	MoonTime_Layout_noBrain_ScrollFrame_tab2.name = "Scrollframe";
 
local MoonTime_Layout_noBrain_ScrollFrameScrollChild_tab2 = CreateFrame("Frame", "MoonTime_Layout_noBrain_ScrollFrameChild_tab2", MoonTime_Layout_noBrain_ScrollFrame_tab2)
 
 

 

 
local editbox_tab2 = CreateFrame("EditBox", "TestEditBox", MoonTime_Layout_noBrain_ScrollFrame_tab2)
	editbox_tab2:SetScript("OnEscapePressed", function(self) EditBox_ClearFocus(self) end)
	editbox_tab2:SetScript("OnEditFocusLost", function(self) EditBox_ClearHighlight(self); end)
	editbox_tab2:SetScript("OnEditFocusGained", function(self) EditBox_HighlightText(self); end)
	editbox_tab2:SetFont("Fonts\\ARIALN.TTF",14,"none")
	editbox_tab2:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ScrollFrame_tab2, "TOPLEFT", 0, 0)
	editbox_tab2:SetWidth(width)
	editbox_tab2:SetJustifyH("LEFT")
	editbox_tab2:SetJustifyV("TOP")
	editbox_tab2:SetTextColor( 1, 1, 1, 1 );
	editbox_tab2:SetMultiLine()
	editbox_tab2:SetText(MoonTime_DB["Layout_noBrain"]["custom1"] )
	editbox_tab2:SetAutoFocus(false)
	editbox_tab2.h = 0;
	editbox_tab2:SetScript("OnTextChanged",
		function (self)
			local x,y = editbox_tab2:GetSize()
			
			if editbox_tab2.h ~= MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScrollRange() then
				MoonTime_Layout_noBrain_ScrollFrame_tab2:SetVerticalScroll(MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScroll() + MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScrollRange()-editbox_tab2.h) 
			
				if MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScroll()<0 then
					MoonTime_Layout_noBrain_ScrollFrame_tab2:SetVerticalScroll(0);
				end
			
				if editbox_tab2.h == 0 then
					MoonTime_Layout_noBrain_ScrollFrame_tab2:SetVerticalScroll(MoonTime_DB["Layout_noBrain"]["custom1_posi"]);
				end

				editbox_tab2.h = MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScrollRange();
			end

		end
	)
	editbox_tab2:SetCursorPosition(0)
	editbox_tab2:SetScript("OnCursorChanged", 
		function(self, x, y, width, height) 
			local d = -y-MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScroll()
			if d>13.9*24 or d<0 then 
				MoonTime_Layout_noBrain_ScrollFrame_tab2:SetVerticalScroll(math.max(MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScroll()+13.99*d/abs(d),0)) 
				MoonTime_Layout_noBrain_ScrollFrame_tab2:UpdateScrollChildRect()
			end 
		end
	)


	MoonTime_Layout_noBrain_ScrollFrameScrollChild_tab2:SetSize(width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab2:SetSize(width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab2:SetScrollChild(editbox_tab2)
	MoonTime_Layout_noBrain_ScrollFrameScrollChild_tab2:SetSize(width, height)

	MoonTime_Layout_noBrain_ScrollFrame_tab2:Hide()


	
	


		-- tab3
		
local MoonTime_Layout_noBrain_ScrollFrame_tab3 = CreateFrame("ScrollFrame", "MoonTime_Layout_noBrain_ScrollFrame_tab3", MoonTime_Layout_noBrain_ConfigPanel, "UIPanelScrollFrameTemplate")
	MoonTime_Layout_noBrain_ScrollFrame_tab3:SetPoint("TOPLEFT", aussen, "TOPLEFT", 10, -10)
	MoonTime_Layout_noBrain_ScrollFrame_tab3.name = "Scrollframe";
 
local editbox_tab3 = CreateFrame("EditBox", "TestEditBox", MoonTime_Layout_noBrain_ScrollFrame_tab3)
	editbox_tab3:SetScript("OnEscapePressed", function(self) EditBox_ClearFocus(self) end)
	editbox_tab3:SetScript("OnEditFocusLost", function(self) EditBox_ClearHighlight(self); end)
	editbox_tab3:SetScript("OnEditFocusGained", function(self) EditBox_HighlightText(self); end)
	editbox_tab3:SetFont("Fonts\\ARIALN.TTF",14,"none")
	editbox_tab3:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ScrollFrame_tab3, "TOPLEFT", 0, 0)
	editbox_tab3:SetWidth(width)
	editbox_tab3:SetJustifyH("LEFT")
	editbox_tab3:SetJustifyV("TOP")
	editbox_tab3:SetTextColor( 1, 1, 1, 1 );
	editbox_tab3:SetMultiLine()
	editbox_tab3:SetText(MoonTime_DB["Layout_noBrain"]["custom2"] )
	editbox_tab3:SetAutoFocus(false)
	editbox_tab3.h = 0;
	editbox_tab3:SetScript("OnTextChanged",
		function (self)
			local x,y = editbox_tab3:GetSize()
			
			if editbox_tab3.h ~= MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScrollRange() then
				MoonTime_Layout_noBrain_ScrollFrame_tab3:SetVerticalScroll(MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScroll() + MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScrollRange()-editbox_tab3.h) 
			
				if MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScroll()<0 then
					MoonTime_Layout_noBrain_ScrollFrame_tab3:SetVerticalScroll(0);
				end
			
				if editbox_tab3.h == 0 then
					MoonTime_Layout_noBrain_ScrollFrame_tab3:SetVerticalScroll(MoonTime_DB["Layout_noBrain"]["custom2_posi"]);
				end

				editbox_tab3.h = MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScrollRange();
			end

		end
	)
	editbox_tab3:SetCursorPosition(0)
	editbox_tab3:SetScript("OnCursorChanged", 
		function(self, x, y, width, height) 
			local d = -y-MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScroll()
			if d>13.9*24 or d<0 then 
				MoonTime_Layout_noBrain_ScrollFrame_tab3:SetVerticalScroll(math.max(MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScroll()+13.99*d/abs(d),0)) 
				MoonTime_Layout_noBrain_ScrollFrame_tab3:UpdateScrollChildRect()
			end 
		end
	)

	MoonTime_Layout_noBrain_ScrollFrame_tab3:SetSize(width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab3:SetScrollChild(editbox_tab3)
	MoonTime_Layout_noBrain_ScrollFrame_tab3:Hide()

	MoonTime_Layout_noBrain_ConfigPanel:SetScript("OnShow",
		function(self)
			editbox_tab2:SetText(MoonTime_DB["Layout_noBrain"]["custom1"]);
			editbox_tab3:SetText(MoonTime_DB["Layout_noBrain"]["custom2"]);
		end
	)
		


local function highlight_tab1( self )
	labelframe_tab1:SetTextColor( 1, 1, 1, 1 );
	labelframe_tab2:SetTextColor( 1, 1, 1, .5 );
	labelframe_tab3:SetTextColor( 1, 1, 1, .5 );

	tab1:SetFrameLevel(aussen:GetFrameLevel())
	tab2:SetFrameLevel(aussen:GetFrameLevel()-1)
	tab3:SetFrameLevel(aussen:GetFrameLevel()-2)
			
	MoonTime_Layout_noBrain_ScrollFrame_tab1:Show()
	MoonTime_Layout_noBrain_ScrollFrame_tab2:Hide()
	MoonTime_Layout_noBrain_ScrollFrame_tab3:Hide()
			
	black:SetPoint("CENTER", tab1, "BOTTOM", 0, 5)
	
	MoonTime_DB["Layout_noBrain"]["rotation"] = "default";
	MoonTime:setLayout(MoonTime_DB["layout"])	
end

local function highlight_tab2( self )
	labelframe_tab1:SetTextColor( 1, 1, 1, .5 );
	labelframe_tab2:SetTextColor( 1, 1, 1, 1 );
	labelframe_tab3:SetTextColor( 1, 1, 1, .5 );

	tab1:SetFrameLevel(aussen:GetFrameLevel()-1)
	tab2:SetFrameLevel(aussen:GetFrameLevel())
	tab3:SetFrameLevel(aussen:GetFrameLevel()-2)
	
	MoonTime_Layout_noBrain_ScrollFrame_tab1:Hide()
	MoonTime_Layout_noBrain_ScrollFrame_tab2:Show()
	MoonTime_Layout_noBrain_ScrollFrame_tab3:Hide()
			
	black:SetPoint("CENTER", tab2, "BOTTOM", 0, 5)
	
	MoonTime_DB["Layout_noBrain"]["rotation"] = "custom1";
	MoonTime:setLayout(MoonTime_DB["layout"])	
end

local function highlight_tab3( self )
	labelframe_tab1:SetTextColor( 1, 1, 1, .5 );
	labelframe_tab2:SetTextColor( 1, 1, 1, .5 );
	labelframe_tab3:SetTextColor( 1, 1, 1, 1 );

	tab1:SetFrameLevel(aussen:GetFrameLevel()-2)
	tab2:SetFrameLevel(aussen:GetFrameLevel()-1)
	tab3:SetFrameLevel(aussen:GetFrameLevel())
			
	MoonTime_Layout_noBrain_ScrollFrame_tab1:Hide()
	MoonTime_Layout_noBrain_ScrollFrame_tab2:Hide()
	MoonTime_Layout_noBrain_ScrollFrame_tab3:Show()
			
	black:SetPoint("CENTER", tab3, "BOTTOM", 0, 5)

	MoonTime_DB["Layout_noBrain"]["rotation"] = "custom2";
	MoonTime:setLayout(MoonTime_DB["layout"])	

end



	tab1:SetScript("OnMouseDown", highlight_tab1 )
	tab2:SetScript("OnMouseDown", highlight_tab2 )	
	tab3:SetScript("OnMouseDown", highlight_tab3 )
		
if MoonTime_DB["Layout_noBrain"]["rotation"] == "custom1" then
	highlight_tab2()
elseif MoonTime_DB["Layout_noBrain"]["rotation"] == "custom2" then
	highlight_tab3()
end
		
	
		
		
MoonTime_Layout_noBrain_ConfigPanel.okay = function()

	if ( MoonTime_Layout_noBrain_ConfigPanel:IsShown() ) then
		MoonTime_DB["Layout_noBrain"]["blink_factor"]  = editframe9:GetText();
		MoonTime_DB["Layout_noBrain"]["blink_time_descale"] = editframe8:GetText();
		MoonTime_DB["Layout_noBrain"]["blinkspells"][SS_icon] = checkbutton_1:GetChecked();
		MoonTime_DB["Layout_noBrain"]["blinkspells"][MF_icon] = checkbutton_2:GetChecked();
		MoonTime_DB["Layout_noBrain"]["blinkspells"][SunF_icon] = checkbutton_3:GetChecked();
		MoonTime_DB["Layout_noBrain"]["blinkspells"][W_icon] = checkbutton_4:GetChecked();
		MoonTime_DB["Layout_noBrain"]["blinkspells"][SF_icon] = checkbutton_5:GetChecked();
		MoonTime_DB["Layout_noBrain"]["custom1"]  = editbox_tab2:GetText();
		MoonTime_DB["Layout_noBrain"]["custom2"]  = editbox_tab3:GetText();
		MoonTime_DB["Layout_noBrain"]["default_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab1:GetVerticalScroll();
		MoonTime_DB["Layout_noBrain"]["custom1_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScroll();
		MoonTime_DB["Layout_noBrain"]["custom2_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScroll();
	
		MoonTime:setLayout(MoonTime_DB["layout"])	
	end	
end
	
MoonTime_Layout_noBrain_ConfigPanel:Hide()
--InterfaceOptionsFrame_OpenToCategory("noBrain")
return MoonTime_Layout_noBrain_ConfigPanel


end


-- ****************************************
--
-- DO NOT CHANGE ANYTHING BELOW THIS 
--
-- ****************************************

local function registerConfig( )									-- Beginn initialize
	local configFrame
	local frame = CreateFrame( "Frame", "frame", UIPARENT	)
	frame:RegisterEvent("VARIABLES_LOADED");
	frame:SetScript("OnEvent", 
		function( self, event )
			if event=="VARIABLES_LOADED" then							-- falls das ausloesende Event VARIABLES_LOADED ist ...
																		-- werden die ausstehenden Events registriert
				MoonTimeDoorKeeper:RegisterConfig( self );
			end
		end
	)
	
	frame.createConfig = function( MainConfigFrame )
		configFrame = noBrainBuildConfig( MainConfigFrame )
	end
end																		-- Ende initialize

registerConfig(NameOfLayout)
